<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.geometry.*?>
<?import javafx.scene.control.*?>
<?import javafx.scene.layout.*?>
<GridPane xmlns:fx="http://javafx.com/fxml/1" fx:id="pane" maxHeight="-Infinity" maxWidth="-Infinity"
          minHeight="-Infinity" minWidth="-Infinity" onKeyPressed="#paneKeyPressed" onKeyReleased="#paneKeyReleased"
          prefHeight="396.0" prefWidth="656.0" stylesheets="@/styles/styles.css"
          xmlns="http://javafx.com/javafx/8.0.121"
          fx:controller="com.linefight.logfinder.app.controller.MainController">
    <children>
        <SplitPane dividerPositions="0.44816053511705684" prefHeight="160.0" prefWidth="200.0" GridPane.rowIndex="1">
            <items>
                <BorderPane minHeight="0.0" minWidth="0.0" prefHeight="160.0" prefWidth="100.0">
                    <center>
                        <TreeView fx:id="treeView" onMouseClicked="#treeViewMouseClicked" prefHeight="200.0"
                                  prefWidth="200.0" BorderPane.alignment="CENTER"/>
                    </center>
                </BorderPane>
                <BorderPane minHeight="0.0" minWidth="0.0" prefHeight="160.0" prefWidth="100.0">
                    <center>
                        <TabPane fx:id="tabPane" prefHeight="200.0" prefWidth="200.0" tabClosingPolicy="ALL_TABS"
                                 BorderPane.alignment="CENTER"/>
                    </center>
                </BorderPane>
            </items>
        </SplitPane>
        <GridPane>
            <columnConstraints>
                <ColumnConstraints maxWidth="211.0" minWidth="10.0" prefWidth="169.0"/>
                <ColumnConstraints/>
                <ColumnConstraints hgrow="ALWAYS"/>
                <ColumnConstraints/>
                <ColumnConstraints/>
                <ColumnConstraints/>
                <ColumnConstraints/>
            </columnConstraints>
            <rowConstraints>
                <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES"/>
            </rowConstraints>
            <children>
                <TextField fx:id="searchPhraseTextField" prefHeight="25.0" prefWidth="153.0"
                           promptText="Search phrase..."/>
                <Label fx:id="directoryPathLabel" text="Select directory" GridPane.columnIndex="1">
                    <GridPane.margin>
                        <Insets left="5.0"/>
                    </GridPane.margin>
                </Label>
                <Button fx:id="selectDirectoryButton" mnemonicParsing="false" onAction="#selectDirectoryButtonPressed"
                        text="Directory..." GridPane.columnIndex="2" GridPane.halignment="RIGHT">
                    <GridPane.margin>
                        <Insets right="5.0"/>
                    </GridPane.margin>
                </Button>
                <TextField fx:id="extensionTextField" prefWidth="100.0" promptText="Extension..."
                           GridPane.columnIndex="3" GridPane.halignment="RIGHT">
                    <GridPane.margin>
                        <Insets right="5.0"/>
                    </GridPane.margin>
                </TextField>
                <Button fx:id="selectAllButton" disable="true" mnemonicParsing="false"
                        onAction="#selectAllButtonPressed" text="Select all" GridPane.columnIndex="4"
                        GridPane.halignment="CENTER">
                    <GridPane.margin>
                        <Insets right="5.0"/>
                    </GridPane.margin>
                </Button>
                <Button fx:id="leftArrowButton" disable="true" mnemonicParsing="false"
                        onAction="#leftArrowButtonPressed" text="&lt;" GridPane.columnIndex="5"
                        GridPane.halignment="RIGHT"/>
                <Button fx:id="rightArrowButton" disable="true" mnemonicParsing="false"
                        onAction="#rightArrowButtonPressed" text="&gt;" GridPane.columnIndex="6"
                        GridPane.halignment="LEFT"/>
            </children>
            <GridPane.margin>
                <Insets/>
            </GridPane.margin>
        </GridPane>
    </children>
    <columnConstraints>
        <ColumnConstraints hgrow="ALWAYS"/>
    </columnConstraints>
    <rowConstraints>
        <RowConstraints maxHeight="331.0" minHeight="39.0" prefHeight="44.0"/>
        <RowConstraints minHeight="10.0" prefHeight="322.0" vgrow="ALWAYS"/>
    </rowConstraints>
    <padding>
        <Insets bottom="10.0" left="10.0" right="10.0"/>
    </padding>
</GridPane>
